Firebird News

Tuesday, September 30, 2008

testing tccboot with qemu/kvm
TCCBOOT, a hack where TCC loads and boots a Linux kernel from source in about 10 seconds. That is to say, it is a "boot loader" which reads Linux kernel source code from disk, writes executable instructions to memory, and begins running it.

wget http://bellard.org/tcc/tccboot.iso

for realy fast booting
kvm -cdrom tccboot.iso
for slow booting and to see what parts of the kernel are compiled
qemu -cdrom tccboot.iso

Monday, September 29, 2008

Firebird Conference 2008


I think is the best conference I have ever atended and with people from various contries , Some of them
From Japan , Brazil , South Africa , France, Russia , Holland, Germany and even Dominican Republic. I didn't listed all of the contries but you can get the picture about the diversity.

From another presentation i found that Foundation needs more money and sponsors because they need to pay the core developers and driver developers (like python, jdbc, .net ,php ...) and they don't need to do other things like support or working as an secondary job .
So the best way if you are using firebird or if you want to help this open source project is to donate Development Time and Money to the project

And is quite easy to do , just join and to donate and become an sponsor
http://firebirdsql.org/index.php?op=ffoundation

Another way to help is to write documentation or doing translations for main documents


In the conference I have seen some presentations about Firebird internals and with an very good roadmap
You might know that Firebird 2.5 is the most stable release EVER (Dimitry Yemanov words) because it ran many more tests in QA team and SAS institute got some threading tests passed and that didn't happened before with 2.1 or other versions.
From Japanese Team i found that they tried firebird classic 1.5.2 on an 32 core sun machine and Firebird was the fastest
in select tests against Postgresql or mysql , of course that is an ancient version and i'm curious about some 2.5 tests on that machine , also they tested 32 bit version , So i think 2.5 Super Classic would crush them even more
in Select tests , we have to see .
Dimitry Yemanov talked about 2.5 , and the future 3.0 and is quite interesting that with Firebird Super Classic 2.5 the power of multicore and threads is unleashed for super server arhitecture so if you want speed you need to use Super Classic , If you want to be Safe and quite fast then use Classic model where each tread is in fact an process but it useses a lot of System resources but if one process is killed the others are isolated from that crash and they keep going

Monday, September 22, 2008

broken php packages delivered to ubuntu intrepid

so i can't build ffmpeg as extension , so i must build php from source and vanilla

/configure: line 4735: LTOPTIONS_VERSION: command not found
./configure: line 4736: LTSUGAR_VERSION: command not found
./configure: line 4737: LTVERSION_VERSION: command not found
./configure: line 4738: LTOBSOLETE_VERSION: command not found
checking for a sed that does not truncate output... (cached) /bin/sed
./configure: line 4828: syntax error near unexpected token `lt_decl_varnames,'
./configure: line 4828: `lt_if_append_uniq(lt_decl_varnames, SED, , ,'


http://pecl.php.net/bugs/bug.php?id=14609
using everex cloudbook as an wireless router for nokia i810

add an new wireless network from Network Manager and it must be Ad-Hoc and call it foobar
and put the ip 10.0.0.1 to the wlan0 network
with gateway 10.0.0.1
dns 10.0.0.1
and netmask 255.255.255.0

it should look something like this

ip ro show dev wlan0
10.0.0.0/24 proto kernel scope link src 10.0.0.1
ip addr show wlan0

3: wlan0: mtu 1500 qdisc pfifo_fast state UP qlen 1000
link/ether 00:15:af:54:2a:af brd ff:ff:ff:ff:ff:ff
inet 10.0.0.1/24 brd 10.0.0.255 scope global wlan0
inet6 fe80::215:afff:fe54:2aaf/64 scope link
valid_lft forever preferred_lft forever


install dhcpd server
sudo apt-get install dhcp3-server
sudo vi /etc/default/dhcp3-server
INTERFACES="wlan0"
sudo vi /etc/dhcp3/dhcpd.conf
ddns-update-style ad-hoc;
default-lease-time 3600;
max-lease-time 9000;
authoritative;
subnet 10.0.0.0 netmask 255.255.255.0 {
range 10.0.0.2 10.0.0.30;
option routers 10.0.0.1;
option domain-name-servers 10.0.0.1;
}
sudo /etc/init.d/dhcp3-server stop
sudo /etc/init.d/dhcp3-server start

install bind server for dns requests

sudo apt-get install bind9

add in etc/bind/named.conf.options
recursion yes;


allow-recursion {
127.0.0.1;
10.0.0.0/24;
};

allow-query {
127.0.0.1;
10.0.0.0/24;
};

and test it
dig debian.org @10.0.0.1

do the snat

sudo su
echo "1" > /proc/sys/net/ipv4/ip_forward
sudo iptables -t nat -A POSTROUTING -o eth0 -j MASQUERADE

check the traffic with tcpdump
sudo tcpdump -i wlan0
Disabling apparmor

Killing AppArmor module - failed, AppArmor is builtin: Failed.

one more thing to build vanilla kernels without the crappy security solutions

sudo /etc/init.d/apparmor stop
sudo update-rc.d -f apparmor remove

Removing any system startup links for /etc/init.d/apparmor ...
/etc/rcS.d/S37apparmor

https://help.ubuntu.com/community/AppArmor#Disable%20AppArmor%20framework

Now the bind9 works for caching

dig debian.org @localhost
wirless network is now installed on the everex cloudbook and is pretty fast , tested with airodump-ng and works ok $ sudo airodump-ng wlan0

Now i have to configure the webcam


http://ubuntuforums.org/showthread.php?t=593231

DISABLE SCROLLKEEPER on ubuntu - is good for updates at least on systems with slow hard drives like everex

ScrollKeeper is a cataloging system for documentation on open systems. Hardly anyone ever uses it and it takes ages every time you install anything. Disable it and your installs will fly! Finally add a diversion to stop dpkg from overwriting your changes.

sudo mv /usr/bin/scrollkeeper-update /usr/bin/scrollkeeper-update.real
sudo ln -s /bin/true /usr/bin/scrollkeeper-update
sudo find /var/lib/scrollkeeper/ -name \*.xml -type f -exec rm -f '{}' \;
sudo dpkg-divert --local --divert /usr/bin/scrollkeeper-update.real --add /usr/bin/scrollkeeper-update

TWEAKS TO MAKE BETTER USE OF THE Everex cloudbook'S SMALL SCREEN:

There are various methods that will help you make better use of the Cloudbook's small screen. One of the most important is being able to move windows that are too large to fit on the screen at once. To move a hidden part of the window into view, click and drag with the left mouse button on any part of the window while holding down the ALT key. However, you won't be able to drag windows so the top of the window is above the top of the screen. To fix that, enter the following in a terminal window:

gconftool-2 --set /apps/compiz/plugins/move/allscreens/options/constrain_y --type bool 0


inspired by this page

https://help.ubuntu.com/community/AspireOne#Step%203:%20Tweak%20/%20Fix

Sunday, September 21, 2008

Two items to discuss from the ubuntu weekley news

First Mark and Firefox team made a big mistake with firefox EULA , so these tactics will not work in the open source world , behind doors agreements and other weird stuff with the codecs,
I wish Mark had the power to remove firefox from the distro , now that what i call to vote with your pocket.

Shuttleworth defends Firefox licence in Ubuntu - In response to some of the criticism that's been going around about the EULA for Firefox, Mark Shuttleworth wrote, "Mozilla Corporation asked that this be added in order for us to continue to call the browser 'Firefox'." Stating that since Firefox is their trademark, which we intend to respect, we have the choice of working with Mozilla to meet their requirements or switching to an unbranded browser. Shuttleworth added that a package called "abrowser" was being developed in Intrepid Ibex which uses Firefox's code base without the Firefox trademark. http://news.zdnet.co.uk/software/0,1000000121,39488217,00.htm?r=1


I guess the codecs will become messier in ubuntu , All i want is to play the movies for free
and not to pay stupid taxes , I guess he could fight for the right of free codecs
maybe an law in usa or remove software patents , that is the root of evil .

Is Ubuntu about to become yet another restrictive commercial OS? - The author of DC: Infowarrior and Xubuntuphile is contesting the selling of licenses to popular multimedia codecs. The concern voiced on his site is that these commercial, proprietary codecs would eventually be rolled into the actual release instead of the open source software that accomplishes the same goals. He quotes an article by Kristin Shoemaker and one by Gerry Carr, the Marketing Manager at Canonical. http://darthchaosofrspw.wordpress.com/2008/09/21/is-ubuntu-about-to-become-yet-another-restrictive-commercial-os/

https://wiki.ubuntu.com/UbuntuWeeklyNewsletter/Issue109
first steps to compile linux 0.0.1 on ubuntu

wget http://draconux.free.fr/download/os-dev/linux0.01/linux-0.01-rm-3.x/linux-0.01-rm-3.3.tgz
tar -zxvf linux-0.01-rm-3.3.tgz
cd linux-0.01-rm-3.3/
make


seems that i miss the as86

sudo apt-get install bin86

make

This is on amd64 hardy box

as -o boot/head.o boot/head.s
gcc -Wall -O -fstrength-reduce -fomit-frame-pointer -fno-stack-protector \
-nostdinc -Iinclude -c -o init/main.o init/main.c
In file included from init/main.c:2:
include/unistd.h:256: warning: ‘struct dirent’ declared inside parameter list
include/unistd.h:256: warning: its scope is only this definition or declaration, which is probably not what you want
include/unistd.h:257: warning: ‘struct dirent64’ declared inside parameter list
In file included from init/main.c:3:
include/time.h:39: warning: conflicting types for built-in function ‘strftime’
/tmp/cceutlRx.s: Assembler messages:
/tmp/cceutlRx.s:315: Error: suffix or operands invalid for `push'
/tmp/cceutlRx.s:316: Error: suffix or operands invalid for `push'
/tmp/cceutlRx.s:317: Error: suffix or operands invalid for `pushf'
/tmp/cceutlRx.s:318: Error: suffix or operands invalid for `push'
/tmp/cceutlRx.s:319: Error: suffix or operands invalid for `push'
make: *** [init/main.o] Error 1

This is the error on athlon i386 box

make
(echo -n "SYSSIZE = (";ls -l tools/system | grep system \
| cut -c31-37 | tr '\012' ' '; echo "+ 15 ) / 16") > tmp.s
cat boot/boot.s >> tmp.s
as86 -0 -o boot/boot.o tmp.s
00001 0000002C SYSSIZE = (44 2008 + 15 ) / 16
***** right parentheses expected..............................^
00286 /*
00287 * This procedure turns off the floppy drive motor, so
00288 * that we enter the kernel in a known state, and
00289 * don't have to worry about it later.
00290 */
00001 0000002C SYSSIZE = (44 2008 + 15 ) / 16
***** right parentheses expected..............................^
00286 /*
00287 * This procedure turns off the floppy drive motor, so
00288 * that we enter the kernel in a known state, and
00289 * don't have to worry about it later.
00290 */

00001 errors
00000 warnings
make: *** [boot/boot] Error 1

UPDATE now is fixed with linux-0.01-rm-3.3.tgz
http://mapopa.blogspot.com/2008/09/linux-0.html
17 years of linux - 0.0.1

http://alexandrubucur.com/2008-09-17/17-years-linux
you can still run linux 0.0.1 on an qemu/bochs machine , in kvm seems to crash the vm

http://kerneltrap.org/Linux/Dusting_Off_the_0.01_Kernel




here is the kvm crash , i should submit to them the bug
Jeos + kvm + ubuntu

this is the virtual machine i have created with qemu manager (see the previous screenshots from the blog)

I started this way
/media/MULTIMEDIA/Downloads/jeos_ubuntu$ sudo kvm -hda jeos.dsk




Ok is not so sexy but i will add xfce and flamerobin on it quite fast :)

Writing a crawler with WWW::Mechanize

A pragmatic approach to writing a mp3 crawler in perl

read more | digg story

Saturday, September 20, 2008

I love the qemu manager on windows

http://www.davereyn.co.uk/download.htm

Is very easy to create an ubuntu/windows virtualmachine and is quite similar with virtualbox 
in usage and for me is quite fast on an athlon64x2 with 2G of ram 







so the kernel team is going in the right direction in ubuntu

http://blog.redvoodoo.org/2008/09/linux-plumbers-conference-recap.html

* The kernel team will be packaging up the latest bleeding edge upstream "Vanilla" kernel. There are some details still to be worked out, like where it will live. Will go in main or universe, a PPA... The point with this is so that users will have a pristine upstream kernel to test against. This is where the kernel team is doing new development anyway. If the issue is fixed we can quickly do a git bisect and figure out what patch is needed and backport it to the stable kernel if it makes sense. I'll write more about this one in a future blog posting.
Reverse SSH Tunneling

Have you ever wanted to ssh to your Linux box that sits behind NAT? Now you can with reverse SSH tunneling. This document will show you step by step how to set up reverse SSH tunneling. The reverse SSH tunneling should work fine with Unix like systems.

Let's assume that Destination's IP is 192.168.20.55 (Linux box that you want to access).

You want to access from Linux client with IP 138.47.99.99.

Destination (192.168.20.55) <- |NAT| <- Source (138.47.99.99)

[Ed:Ignore the microsoft ads and the nice thing is that now i can open xapplications on remote servers behind NAT, Just add -X to the bellow example from step2

$ssh localhost -p 19999 -X

http://www.howtoforge.com/reverse-ssh-tunneling

Reverse SSH Tunneling HowTo

Have you ever wanted to ssh to your Linux box that sits behind NAT? Now you can with reverse SSH tunneling. This document will show you step by step how to set up reverse SSH tunneling. The reverse SSH tunneling should work fine with Unix like systems.

read more | digg story

Friday, September 19, 2008

compiling pdo support in php - needed for phpmyfaq


or compiling php 5.2.x with pdo support all i did at configuration time is like adding
--with-pdo-firebird=/opt/firebird switch
then make; make install
Check the phpinfo() and pdo_firebird was there



cat config.nice
Code:
#! /bin/sh
#
# Created by configure

'./configure' \
'--with-apxs2=/opt/apache2.2/bin/apxs' \
'--prefix=/opt/php5.1' \
'--with-xml=shared' \
'--with-pdo-mysql=/opt/mysql-5.0.18/' \
'--with-pdo-firebird=/opt/firebird' \
"$@"


then download phpmyfaq

In my case 2.5.0 but the same apply to 2.0.8

http://www.phpmyfaq.de/download.php?do=download&number=2.5.0-alpha&ext=.tar.gz
unzip-it
tar -zxvf phpmyfaq-2.5.0-alpha.tar.gz
chown www-data.www-data phpmyfaq-2.5.0-alpha
chmod -R g+rw phpmyfaq-2.5.0-alpha
mv phpmyfaq-2.5.0-alpha phpmyfaq

and run the installer

http://localhost/phpmyfaq

Thursday, September 18, 2008

To fully appreciate Nginx, the web server, it helps to understand Batman, the comic book character.

Batman is fast. Nginx is fast. Batman fights crime. Ngine fights wasted CPU cycles and memory leaks. Batman performs well under pressure. Nginx, for its part, excels under heavy server loads.

But Batman would be almost nothing without the Batman utility belt.


Start to learn Batman utilities


http://emiller.info/nginx-modules-guide.html



zero patches policy and zero bugs

I think ubuntu/debian should contribute more to the upstream also
in the debian directory it should be no patches all should be merged upstream
in fact in an ideal world we should have an

simple apt-get upgrade kerner.org-vanilla that should take the latest kernel and compile it for debian/ubuntu or at least we should have an generic kernel with no local patches

http://www.kroah.com/log/linux/lpc_2008_keynote.html

bugs should be handled submited to upstream and we should not have an central repository and
bugtracker

think that git is distributed and patches should go easily upstream (in fact you can get the specific tag)
the same should be for bugs they should be distributed

Wednesday, September 17, 2008

Ubuntu 8.04.. annoyances part 1


I agree with some of them http://jengelh.medozas.de/2008/0609-ubuntu.php

Seems that is impossible to install it on an kvm/qemu machine without graphic mode

  1. Entering a wrong command implies a 0.983 second delay because it needlessy searches for suggestions.
  2. NO textmode install it seems
  3. Trying to boot with vga=0 to get an 80x25 screen and a sane font. Framebuffer is still started. Stupid.

Pandora Devboard - Quake 2 demo

full 3d acceleration in the pocket , is an amazing thing to have the q2 in the pocket :)

Beagle Board 3D, Angstrom, and Ubuntu June 2008

opengl 2.x in your pocket :) impressive

Tutorial of the Week:

· Ever wanted to have a portable operating system? One that can reside inside a small USB flash drive? In the past, it was possible to run a Linux distribution from an USB stick just like you would have run it from a Compact Disc, but this task was quite hard to achieve. Why? Simply because you had to type a lot of geeky commands in a terminal and if, somehow, you forgot one or typed something wrong, the whole process had to be started all over again. Not to mention that it could take about 1-2 hours to make a bootable USB stick. Therefore, this guide is here to teach you some new Linux magic tricks on how to achieve a portable Linux operating system, in no more than 5 minutes! How? With the help of a great and marvelous tool called UNetbootin.

The tutorial was tested with the Ubuntu 8.04.1 LTS and BackTrack 3 Linux distributions, and can be found here.

Tuesday, September 16, 2008

i didn't accepted the firefox 3.0.2 Eula so i have installed abrowser in intrepid

$sudo apt-get remove firefox

this step was needed so there will be no conflicts with abrowser when dist-upgrading

$sudo apt-get install abrowser
$abrowser


UPDATE:abrowser still shows me eula
but i like epiphany-webkit anyway
I use firefox only for firebug ! and webdeveloper



Monday, September 15, 2008

kvm image for mid devices
i didn't knew about this
http://www.phoronix.com/scan.php?page=article&item=ubuntu_mid_804&num=1

I will try to install firebird/flamerobin on it , to see how ti works on small devices
Also i intend to bring the maemo sdk down to test firebird/flamerobin/nginx on it

Microsoft err Mozilla Demanding Firefox Display EULA In Ubuntu

what next ? eula for source code

http://tech.slashdot.org/article.pl?sid=08/09/14/195203&from=rss

no wonder opensource will go the webkit route and it will be included in gnome by default (epiphany webkit )
mozilla looks more and more with microsoft (you know like in animal farm)

Sunday, September 14, 2008

DISABLE SCROLLKEEPER on any linux system (cloudbook in my case)

tip via https://help.ubuntu.com/community/AspireOne

ScrollKeeper is a cataloging system for documentation on open systems. Hardly anyone ever uses it and on the AAO's slow SSD it takes ages every time you install anything. Disable it and your installs will fly! Finally add a diversion to stop dpkg from overwriting your changes.

sudo mv /usr/bin/scrollkeeper-update /usr/bin/scrollkeeper-update.real
sudo ln -s /bin/true /usr/bin/scrollkeeper-update
sudo find /var/lib/scrollkeeper/ -name \*.xml -type f -exec rm -f '{}' \;
sudo dpkg-divert --local --divert /usr/bin/scrollkeeper-update.real --add /usr/bin/scrollkeeper-update

Xfce 4.6 ALPHA ('Pinkie') released

After about 18 months of development, we are pleased to announce the releaseof Xfce 4.6 ALPHA, codename 'Pinkie'. Xfce 4.6 is going to be the next major release of the Xfce desktopenvironment. The previous release was 4.4 with the last bugfix releasebeing 4.4.2 released in December 2007.

read more | digg story

OpenSQL Camp Offers Informal Meeting for Database Developers

Members of open-source database communities will get together in mid-November for the first-ever "OpenSQL camp." The free conference, which has room for 150 attendees, will be held in Charlottesville, Virginia, and is meant to help members to learn from one another. Potential participants are encouraged to register on the Wiki.

read more | digg story

The 2008 kernel summit

The agenda for the 2008 kernel summit has been posted. The summit is an annual, invitation-only event which is typically attended by 70-80 developers. It is a rare opportunity to bring part of the kernel community together for focused discussions on topics which affect the kernel as a whole.

read more | digg story
This weekend I decided to take the Linux distribution known as gOS 3.0 beta for a spin. The gOS is an Ubuntu 8.04.1 derivative that shows some promise with it’s integration of Web applications. Although they are not affilated with Google, gOS has incorporated many Google online tools into their desktop.

I feel the urge to install it this is what i call useful

What do the applets do? Well, you can add Google RSS news feeds, a Weatherbug report, memory monitors, Google Calendar, quote of the day, and many more. As a Doom player, I particularly liked the Doom memory monitor. They have a picture of Green Marine that shows him taking damage to his health as you use up more of your system memory.

Memory Doom

http://desktop.google.com/plugins/i/MemoryDoom.html?hl=en



read more | digg story

Primary Database in Use - Firebird ?

This data shows the current PRIMARY database in use at the respondents companies. I find the data suspect and you'll see why. This data has not been cleaned and duplicate IP addresses have not been removed. This is totally raw data and should remain suspect until after cleansing. Still, it is interesting.

read more | digg story

Saturday, September 13, 2008

solving the webcam and wireless on everex cloudbook

Here is how to solve the wireless range and stability
http://forum.netbookuser.com/viewtopic.php?id=543

Follow this guide and you'll have amazing range and stability.
http://www.aircrack-ng.org/doku.php?id=r8187 OR

(as root)

wget http://dl.aircrack-ng.org/drivers/rtl81 … 6.1010.zip
unzip rtl8187_linux_26.1010.zip
cd rtl8187_linux_26.1010.0622.2006/
wget http://patches.aircrack-ng.org/rtl8187_2.6.24v3.patch
tar xzf drv.tar.gz
tar xzf stack.tar.gz
patch -Np1 -i rtl8187_2.6.24v3.patch
make
make install
depmod -ae
echo "r8187" >> /etc/modules
echo "blacklist rtl8187" >> /etc/modprobe.d/blacklist

webcam which is easy

1. apt-get install module-assistant
2. module-assistant prepare
3. module-assistant auto-install linux-uvc
4. modprobe uvcvideo

more about this webcam

Webcam

Like the WLAN card, the webcam is internally connected via USB. It uses a Bison chip that can be found in many notebook and Logitech webcams. A Linux kernel driver is available as an external source package, "linux-uvc-source"; it will be officially included starting with Linux kernel 2.6.27. The Debian distribution kernel 2.6.26 already includes this module; "modprobe uvcvideo" activates it. The webcam can be used, for example, by running xawtv with the command line argument "-d /dev/video0". However, recording from it, for example with ffmpeg, does not work since the camera does not seem to return correct image geometry information.

Thursday, September 11, 2008

adding the 3d to the cloudbook with new via open source driver
http://forums.mininoteuser.com/viewtopic.php?f=11&t=480

Wednesday, September 10, 2008

some keys are not working in everex cloudbook +intrepid ibex

http://www.ubuntu.com/testing/intrepid/alpha5

After upgrading to this version, some keys might misbehave in X. Please make sure you have set the keyboard model as Generic Evdev-managed keyboard in System → Preferences → Keyboard, in the tab Layouts. If some keys still have problems, please file a bug against xkeyboard-config, and provide the output of setxkbmap -print and xkbcomp :0 - both run in the Terminal.

also seems that i need to boot the kernel with acpi=off or

Audio Driver -- Out of the box, the default Ubuntu 8.04.1 install on everex leaves you without functioning microphones or headphone jack sensing. Follow the steps below and you should be able to get them working without too much trouble.


  1. Open a terminal window and type:

    sudo apt-get install build-essential
    This will ensure you have the tools to compile your new sound architecture. Leave it open, you'll need it again soon.
  2. Open up your web browser and download the latest ALSA Development Release (alsa-driver-1.0.17) from the ALSA Project. Save it to the desktop.

  3. Back in the terminal, type:

    cd ~/Desktop
    cd alsa*
    ./configure --with-cards=hda-intel
    make
    sudo make install
  4. The sound drivers install to the wrong place, so next you'll type the following commands. If you're using a different version of the kernel, put that in place of 2.6.24-19-generic:

    cd /lib/modules/2.6.24-19-generic
    sudo cp -a kernel/sound/* ubuntu/sound/alsa-driver/
  5. Finally, you'll have to tell the system to use the new drivers. In terminal, type:

    sudo gedit /etc/modprobe.d/alsa-base

    This will bring up a text editor. Scroll to the bottom of the file and add the line:

    options snd-hda-intel model=laptop
  6. Reboot. Your sound should work from this point on. You can configure your input levels if you'd like, using the command line program alsamixer.

just enabled cpuscaling

How to get the FULL 1.2GHZ out of your C7-M ULV

http://forum.netbookuser.com/viewtopic.php?id=668

just go here and follow the simple instructions, but before you do, make sure your not running a custom kernel you yourself or others has made, make sure your running the latest Ubuntu Generic Kernel (2.6.24 series) (in other words the latest Ubuntu 8.04.1 kernel)



http://www.a110wiki.de/wiki/CPU

below are the same instructions i followed to get the VIA C7-M ULV Frequency Scaling Enabled (you'll experience hours of extra battery life and massive performance increase) its like the performance was NEVER There, now with CPU frequency scaling, the speed is amaaaazing!

wget http://www.a110wiki.de/wiki/images/6/65 … rt.tar.bz2
tar xfvj Cpufreq-2.6.25_backport.tar.bz2
cd cpufreq
make


then either "insmod e_powersaver.ko" right now for insane performance OR "mkdir /lib/modules/`uname -r`/cpu ; cp e_powersaver.ko /lib/modules/`uname -r`/cpu"
then "depmod -ae"
and "modprobe e_powersaver.ko" for insane performance right now, and "echo e_powersaver >> /etc/modules" for insane performance forever.

please note: its a way shorter boot time if you place the new e_powersaver module into your /lib/modules/`uname -r` dir and then depmod -ae and then add e_powersaver to /etc/modules, this way you get automatic loading of the cpufreq supported module, this drasticly speeds up the boot time!
To do on the everex
work on cpu scaling

http://www.a110wiki.de/wiki/CPU

Enable an good wireless driver
http://www.geocities.com/ps2_blows/index.html

Use the Padlock Security Engine & Dual Quantum Random Number Generators

The VIA C7-M ULV CPU in the A110 supports the so-called VIA Padlock hardware crypto functionality.

http://www.a110wiki.de/wiki/VIA_Padlock

echo "padlock-sha" >> /etc/modules
echo "padlock-aes" >> /etc/modules
echo "via-rng" >> /etc/modules
echo "rng-core" >> /etc/modules

Tuesday, September 09, 2008

Random selection, with a bias ..

Say you want to randomly select your employee of the month, but not so randomly, better, you’d like to give your best employees a bigger chance to be selected based on their rating.This is just an example, you could be randomly displaying ads from your customers, but giving an higher chance to be displayed to those who are paying more,

read more | digg story
alternate installer pxe for ubuntu 8.04

if you don't have an usb cdrom or don't want to mess with the usb boot install
then you can install with pxe
seems that it works for me and is quite easy

https://wiki.koeln.ccc.de/index.php/Ubuntu_PXE_Install

ps: i borked my cloudbook with an gos -> hardy upgrade but i don't panic i will find a way to put a good os back (or parts of it :lxde/awn ...)
howto use ipodnano in ubuntu , some links

it's a little bit harder but doable
http://www.ubuntux.org/how-to-use-an-ipod-with-ubuntu
http://www.linuxjournal.com/article/9266

also i could install some old itunes version with wine
good wiki for everex cloudbook hardware info
http://gentoo-wiki.com/Everex_CloudBook_CE1200V

I enabled the official ubuntu repositories (romanian ones) and disabled the everex ones
now i started the upgrade process to hardy
and then i will install openchrome driver and enable padlock too
http://forum.netbookuser.com/viewtopic.php?id=526

http://help.ubuntu.com/community/OpenChrome
http://linux.via.com.tw/support/downloadFiles.action

Sunday, September 07, 2008

Install Google Gadgets for Linux on Ubuntu

Google has released a platform for running their widget applications (Google Desktop Gadgets and web-based Universal Gadgets) on Linux. Google Gadgets for Linux is an open source project, and includes front-ends for GNOME and KDE environments.

read more | digg story

How-to Install Google Chrome in Ubuntu with Wine

With the buzz of Google Chrome and a new Wine release that targets some of the bugs when running it, another howto has popped up on the net. Check it out.

read more | digg story

Saturday, September 06, 2008

Installing wine 1.1.4 for chrome browser on hardy and ubuntu

The wine downlod instructions work for itrepid too

$wget -q http://wine.budgetdedicated.com/apt/387EE263.gpg -O- | sudo apt-key add -

$sudo wget http://wine.budgetdedicated.com/apt/sources.list.d/hardy.list -O /etc/apt/sources.list.d/winehq.list

$sudo apt-get update
$sudo apt-get install wine

Friday, September 05, 2008

Php + Grannymade Ganymede Packages (based on Eclipse 3.4) on Ubuntu

Download eclipse distro that you need
http://www.eclipse.org/downloads/

In my case i choose eclipse classic on amd64/x64
http://www.eclipse.org/downloads/download.php?file=/eclipse/downloads/drops/R-3.4-200806172000/eclipse-SDK-3.4-linux-gtk-x86_64.tar.gz

and i unziped it in /opt

Install phpeclipse for it
http://www.phpeclipse.de/wiki/Installation

Install subclipse
http://subclipse.tigris.org/install.html

I have modified in eclipse.ini the max memory used by jvm to be 2048M
-Xmx2048m

And added this for native subversion library used by subclipse
-Djava.library.path=/usr/lib/jni


And is better to use the JAVAHL - JNI interface for subclipse
otherwise you can have troubles with the pure java implementation (locks and other things)

install Java bindings for Subversion

$sudo apt-get install libsvn-java

and from Eclipse
Window -> Preferences ->Team -> SVN
Be shure to be JAVAHL - JNI interface for subclipse selected



Here is my final setup


Next is to install egit

http://git.or.cz/gitwiki/EclipsePlugin

http://cho.hapgoods.com/wordpress/?p=159

Thursday, September 04, 2008

sshfs mounting issues , i had some problems with mapping rights on the remote system and the local one

on the remote i had id 200 for example and on local 1000 so i had to add idmap to the options
also with the renaming of folders I had issues (specially when running from eclipse with svn)

sshfs -o idmap=user -o uid=1000 -o gid=1000 -o workaround=rename mariuz@example.com: home_example
svn: This client is too old to work with working copy subclipse so i had to remove and then install the subclipse plugin subclipse 1.4.4 is now available for Eclipse 3.2+!

http://subclipse.tigris.org/install.html


First impressions: Google Chrome on Vista

With more than 90 percent of my desktop computing conducted from within Firefox, and half the Internet services I use supplied by Google, the opportunity to test Google's new "Chrome" browser was irresistible. Here are my first impressions.

read more | digg story

Debian distro named for three-eyed alien

The Debian project will continue to its tradition of naming releases for characters in Pixar's classic animated movie, Toy Story. With "Lenny" in the final stages of preparation, Project Maintainer Luk Claes has announced that Lenny's successor will be named for "squeeze," for a three-eyed space alien.

read more | digg story

World's smallest x86 board?

What if your PC was the size of an iPod?

read more | digg story

Trying out LXDE

This is my first time to try out LXDE. I am curious about it and there are certain things that I am glad are in LXDE. For one thing, Alt+F2 also pops up a run dialog box so I could type the name of the application I want to run. There are even suggestions as to what I could run when I typed the first how many letters of the application’s name.

read more | digg story

Wednesday, September 03, 2008

After I have imported simplehtmldom parser
http://simplehtmldom.sourceforge.net/manual.htm
into the firetube application
I have imported it into the controller area , the old way was simpler in cake 1.1 .

Next i moved the index.ctp into html/index.html
and i have to add some IDs for dom elements

the hardest part is to make an for loop but i think i can manage that
github in fact is a social network based on git.
I blog in code or code in the blog

quote of the day via

http://intertwingly.net/blog/2008/07/18/Life-after-Bug-Tracking-Systems

Make SSH connections with PHP

Not everyone knows about PHP's capabilities of making SSH connections and executing remote commands, but it can be very useful. I've been using it a lot in PHP CLI applications that I run from cronjobs, but initially it was a pain to get it to work. The PHP manual on Secure Shell2 Functions is not very practical or thorough for that matter...

read more | digg story

Ubuntu: Create your own screencasts in 5 easy steps

In this article I will cover how to install the video capturing tool, how to use it, how to convert the video to a flash (flv) file, and finally how to embed a flash player in your site just like Youtube. How to create your own screencasts in 5 easy steps.

read more | digg story

php is the template engine


I wrote about dom parser on cake-php google group ,
http://groups.google.com/group/cake-php/browse_thread/thread/f8a043585b2021c8
I think php + simple html dom is briliant in working with html pages as templates and separate the logic from the view (or designer code)

In views i can use smarty or fasttemplate or any other template
language but i'm not quite atracted about any of them
http://www.qadram.com/vcl4php/docwiki/index.php/Component_Writer%27s_...
I wonder what if i use no template engine at all and keep the html
separated and clean
and use an simple dom parser for html "templates" or files

http://simplehtmldom.sourceforge.net/ and modify the html dom
structure

or with jquery phpQuery - jQuery port to PHP
http://code.google.com/p/phpquery/

Tuesday, September 02, 2008

google is not eeeeeeeeeeevil with chrome

http://www.theregister.co.uk/2008/09/02/google_chrome_comic_funnies/


an browser with tabs ??? wow i could do that in delphi in one hour
and start one process per tab too ...
Pda with ubuntu on it , something like the n810

http://www.emag.ro/mini_laptop/pda-wibrain-b1le--pB1LE-EW253BE

http://www.wibrain.com/products/b1le.php?Top_Class=A&Left_Class=C

Firebird is faster than filesystem for blob storage!

I guess if you develop data intensive applications dealing with large files at some point, you’ve thought about it at least once: should I put my data files inside the database or should I write them directly to disk?Here are the results : storing files in Firebird is faster than writing the same files on the filesystem

read more | digg story

Monday, September 01, 2008

blog tutorial - php5 clean up
In the blog tutorial maybe the $name variable should be removed
it is a little bit cleaner this way
http://book.cakephp.org/view/334/create-a-post-model

from
class Post extends AppModel {
var $name = 'Post';
}
to
class Post extends AppModel {
}
delphi4php hello world
$ ca /var/www
$ wget http://switch.dl.sourceforge.net/sourceforge/vcl4php/vcl_for_php_2_0.tar.gz
$ tar -zxf vcl_for_php_2_0.tar.gz


$vim goodbye_world.php

copy paste the code from this tutorial


load in browser

http://localhost/goodbye_world.php




then take the step 2

http://www.qadram.com/vcl4php/docwiki/index.php/Developer's_Guide_::_Hello_World

vim goodbye_world2.php

and load it in browser
http://localhost/goodbye_world2.php

Minimal Ubuntu + LXDE Installation

  • Install Ubuntu base system with Ubuntu Alternate installer CD, and only install a command line-based system (Server without all the internet services). Some user suggested that you can install xubuntu and remove xfce after installing LXDE. However, install from base system is recommended. Ask on Ubuntuforms if you got problems regarding to this. There are some related articles on the forum.



Another option is minimal cd-image https://help.ubuntu.com/community/Installation/MinimalCD
I have spoted it in the fullcircle article

http://fullcirclemagazine.org/download-manager.php?id=93

Testing on qemu/kvm
In my case in have installed JEOS on an qemu virtual machine then i followed this tutorial

http://www.peopix.com/cai-gui-lxde-cho-ubuntu-server/
http://lxde.org/wiki/Ubuntu

Only install the base system. Then, add lxde repository, and do this:


I have added

$sudo vi /etc/apt/sources.list.d/lxde.list

deb http://ppa.launchpad.net/lxde/ubuntu hardy main
deb-src http://ppa.launchpad.net/lxde/ubuntu hardy main



$sudo apt-get install xorg
$sudo apt-get install lxde

$startx
voila minimal deskop and space used is ~ 400M , it doesn even needs compression
I have installed flamerobin after that , but still i have an bug with window drawing , if i open an window
let's say flamerobin , it goes to the bottom of the screen slowly

TO DO:

Sometimes you want a bare-minimum LiveCD that you can use as a base for other projects. Creating one on Ubuntu is a rather big pain. GUI tools like ‘Reconstructor’ or ‘Ubuntu Customization Kit’ are meant to modify the existing install/Live CD’s, and don’t allow you to really strip down the CD to the bare minimum.

Debian has a project called live-helper which allows you to do just that with a debian distribution. This is also included in Ubuntu Hardy, but it doesn’t -quite- work out of the box. However, with the following small changes, you can make it work. I’ve just create a 77MB minimal hardy boot CD, and it works like a charm.


http://clemensfam.org/john/?p=39


List of via netbooks partners

seems there are some netbook distributors in romania

http://www.via.com.tw/en/products/notebook/notebook.jsp


and the new cloud book looks way better
http://www.walmart.com/catalog/product.do?product_id=10227034#Specifications

also i will try to add some macosx themes if the compiz will work
http://www.taimila.com/?q=node/11
seems that via released the open source driver for the integrated board
http://linux.slashdot.org/article.pl?sid=08/09/01/0023245
selinux is for aliens

http://ars.userfriendly.org/cartoons/?id=20080831

I hope to remove all selinux dependencies in my system

here is what it happens if i try to remove libselinux1 from synaptic